-- name: [CS] Toon Link
-- description: Toon Link. Made by Visorcat.
-- description: [First appearence from Zelda:four swords], a brave-hearted little Hylian boy who embarks on a quest through the lands and seas to stop Ganon. \n\nMade by Visorcat. \n\nRequires Character Select!


local E_MODEL_TEMPEST = smlua_model_util_get_id("Toon Link_geo")

local TEXT_MOD_NAME = "Toon Link"

local TEX_TEMPEST = get_texture_info("Toon Link_icon")

local VOICETABLE_TEMPEST = {
    [CHAR_SOUND_ATTACKED] = "Toonlink_Ack!.mp3",
    [CHAR_SOUND_DOH] = "Toonlink_Tah.mp3",
    [CHAR_SOUND_DROWNING] = "Toonlink_Death.mp3",
    [CHAR_SOUND_DYING] = "Toonlink_Death.mp3",
    [CHAR_SOUND_GROUND_POUND_WAH] = "Toonlink_Ho.mp3",
    [CHAR_SOUND_HAHA] = "Toonlink_Haha.mp3",
    [CHAR_SOUND_HAHA_2] = "Toonlink_Haha.mp3",
    [CHAR_SOUND_HERE_WE_GO] = "Toonlink_Hehe.mp3",
    [CHAR_SOUND_HOOHOO] = "Toonlink_Hehe.mp3",
    [CHAR_SOUND_MAMA_MIA] = "Toonlink_Pout.mp3",
    [CHAR_SOUND_OKEY_DOKEY] = "Toonlink_Hehe.mp3",
    [CHAR_SOUND_ON_FIRE] = "Toonlink_Waaaaah.mp3",
    [CHAR_SOUND_OOOF] = "Toonlink_Oof.mp3",
    [CHAR_SOUND_OOOF2] = "Toonlink_Oof.mp3",
    [CHAR_SOUND_PUNCH_HOO] = "Toonlink_Hoo.mp3",
    [CHAR_SOUND_PUNCH_WAH] = "Toonlink_Wah.mp3",
    [CHAR_SOUND_PUNCH_YAH] = "Toonlink_Ho.mp3",
    [CHAR_SOUND_SO_LONGA_BOWSER] = "Toonlink_So_Longa_Bowser.mp3",
    [CHAR_SOUND_TWIRL_BOUNCE] = "Toonlink_Hehe.mp3",
    [CHAR_SOUND_WAAAOOOW] = "Toonlink_Waaah.mp3",
    [CHAR_SOUND_WAH2] = "Toonlink_Yup.mp3",
    [CHAR_SOUND_WHOA] = "Toonlink_Yup.mp3",
    [CHAR_SOUND_YAHOO] = "Toonlink_Yah!.mp3",
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = "Toonlink_Tah.mp3",
   [CHAR_SOUND_YAH_WAH_HOO] = {'Toonlink_Hehe.mp3', 'Toonlink_Yup.mp3', 'Toonlink_Ho.mp3'},
    [CHAR_SOUND_YAWNING] = "Toonlink_Pout.mp3",
    [CHAR_SOUND_PANTING] = 'Toonlink_LowHP.mp3',
    

}

local PALLETE_TEMPEST = {
    [PANTS]  = {r = 0x60, g = 0x64, b = 0x64},
    [SHIRT]  = {r = 0xf7, g = 0xef, b = 0xb1},
    [GLOVES] = {r = 0xff, g = 0xff, b = 0xff},
    [SHOES]  = {r = 0x68, g = 0x40, b = 0x1b},
    [HAIR]   = {r = 0x73, g = 0x06, b = 0x00},
    [SKIN]   = {r = 0xfe, g = 0xd5, b = 0xa1},
    [CAP]    = {r = 0x76, g = 0xb4, b = 0xce},
    }


-- add it
if _G.charSelectExists then
    _G.charSelect.character_add("Toon Link", {"[First appearence from Zelda:four swords]", "a brave-hearted little Hylian boy.", "He embarks on a quest through", "the lands and seas to stop Ganon."}, "Visorcat", {r = 0, g = 204, b = 0}, E_MODEL_TEMPEST, CT_MARIO, TEX_TEMPEST)

    _G.charSelect.character_add_voice(E_MODEL_TEMPEST, VOICETABLE_TEMPEST)

    --taken from toadette code

    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_TEMPEST then return _G.charSelect.voice.sound(m, sound) end
    end)

    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_TEMPEST then return _G.charSelect.voice.snore(m) end
    end)

    _G.charSelect.character_add_palette_preset(E_MODEL_TEMPEST, PALLETE_TEMPEST)

else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end


